# memDescriptor Struct Reference

`#include <kmalloc.h>`

Collaboration diagram for memDescriptor:

[legend]

## Data Fields

void * | baseAddr
uInt32 | limit
memDescriptor * | next
memDescriptor * | prev

## Detailed Description

Definition at line 43 of file kmalloc.h.

## Field Documentation

void* memDescriptor::baseAddr

Definition at line 46 of file kmalloc.h.

Referenced by kfree(), kmalloc(), and mergeMemBlocks().

uInt32 memDescriptor::limit

Definition at line 47 of file kmalloc.h.

Referenced by insertFreeDesc(), kfree(), kmalloc(), and mergeMemBlocks().

struct memDescriptor* memDescriptor::next

Definition at line 45 of file kmalloc.h.

Referenced by getEmptyDesc(), insertFreeDesc(), kfree(), kmalloc(), and mergeMemBlocks().

struct memDescriptor* memDescriptor::prev

Definition at line 44 of file kmalloc.h.

Referenced by getEmptyDesc(), insertFreeDesc(), kfree(), kmalloc(), and mergeMemBlocks().

The documentation for this struct was generated from the following file:

- src/sys/include/lib/kmalloc.h